Subject: Re: 405 TLB miss reduction

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 11 Dec 2003 17:56:08 +0100

On 12/11/2003 05:48 PM Jon Masters wrote:
>
> Wolfgang Grandegger wrote:
>
> | We have been surprised, that CONFIG_PIN_TLB was able to reduce the page
> | miss rate already by approx. 40%. We are also working on the
> | optimization/tuning of our application and likely there we can gain more
> | than by further squeezing the TBL management of the Linux kernel, I agree.
>
> I noticed a possible improvement in performance however have not yet
> done a set of tests to back this up. I saw the huge TLB stuff in
> 2.6.0-test11 and nearly fell off my chair - can someone here provide
> some reference to read on this so I can be more useful talking about it?

I found "Documentation/vm/hugetlbpage.txt" in linuxppc-2.5 from BK.

Wolfgang.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/